package eventServer

import "sync"

var LhChan = make(chan [2]float64, 20) //传长,高
var WChan = make(chan float64, 20)     //传宽

func CalcCap() (l, w, h float64) {
	var wg sync.WaitGroup
	wg.Add(2)
	go func() {
		lh := <-LhChan
		l = lh[0]
		h = lh[1]
		wg.Done()
	}()
	go func() {
		w = <-WChan
		wg.Done()
	}()
	wg.Wait()
	return
}
